/** 
 * Sprawdzanie typów
 */
main() {
    num number = 3;

    print(number is int);      // wyświetla 3
    print(number is! String);  // wyświetla true
    print(number is String);   // wyświetla false
    print(number is double);   // wyświetla false
    print(number is int);      // wyświetla true
    print(number is num);      // wyświetla true

    print(number as int);      // wyświetla 3
}
